> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post access token

> Create access token



## OpenAPI

````yaml /swagger.json post /access-token
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /access-token:
    post:
      tags:
        - access-token
      description: Create access token
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  type: string
                scopes:
                  type: array
                  items:
                    type: string
                  minItems: 1
                spaceIds:
                  type: array
                  nullable: true
                  items:
                    type: string
                  minItems: 1
                baseIds:
                  type: array
                  nullable: true
                  items:
                    type: string
                  minItems: 1
                hasFullAccess:
                  type: boolean
                expiredTime:
                  type: string
                  example: '2024-03-25'
              required:
                - name
                - scopes
                - expiredTime
      responses:
        '201':
          description: Returns access token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                    minLength: 1
                  description:
                    type: string
                  scopes:
                    type: array
                    items:
                      type: string
                  spaceIds:
                    type: array
                    nullable: true
                    items:
                      type: string
                  baseIds:
                    type: array
                    nullable: true
                    items:
                      type: string
                  hasFullAccess:
                    type: boolean
                  expiredTime:
                    type: string
                  token:
                    type: string
                  createdTime:
                    type: string
                  lastUsedTime:
                    type: string
                required:
                  - id
                  - name
                  - scopes
                  - expiredTime
                  - token
                  - createdTime
                  - lastUsedTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/access-token \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"name":"string","description":"string","scopes":["string"],"spaceIds":["string"],"baseIds":["string"],"hasFullAccess":true,"expiredTime":"2024-03-25"}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/access-token';
            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"name":"string","description":"string","scopes":["string"],"spaceIds":["string"],"baseIds":["string"],"hasFullAccess":true,"expiredTime":"2024-03-25"}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/access-token',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              name: 'string',
              description: 'string',
              scopes: ['string'],
              spaceIds: ['string'],
              baseIds: ['string'],
              hasFullAccess: true,
              expiredTime: '2024-03-25'
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"name\":\"string\",\"description\":\"string\",\"scopes\":[\"string\"],\"spaceIds\":[\"string\"],\"baseIds\":[\"string\"],\"hasFullAccess\":true,\"expiredTime\":\"2024-03-25\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/access-token", payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````